#include <stdlib.h>
#include <stdio.h>

void errprint(const char *file, const char *function, int line, int ext) {
		char errstr[256];
		sprintf(errstr,"%s %s %d", file, function, line);
		perror(errstr);
		if (ext) exit(1);
}
